Bug 216345 - [exp-run] update KDE Frameworks to 5.30
Summary: [exp-run] update KDE Frameworks to 5.30
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D9271
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-21 15:55 UTC by Tobias C. Berner
Modified: 2017-01-26 18:21 UTC (History)
2 users (show)

See Also:


Attachments
Update KDE Frameworks to 5.30 (237.36 KB, patch)
2017-01-21 15:55 UTC, Tobias C. Berner
no flags Details | Diff
regenearted patch -- which should apply (236.65 KB, patch)
2017-01-21 16:45 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-01-21 15:55:57 UTC
Created attachment 179184 [details]
Update KDE Frameworks to 5.30

kde@ would like to ask for an exp-run of the KDE Frameworks for 5.30.

The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/kf5-5.30.v1
Comment 1 Tobias C. Berner freebsd_committer 2017-01-21 16:45:39 UTC
Created attachment 179185 [details]
regenearted patch -- which should apply

New patch, which should apply
http://people.freebsd.org/~tcberner/patches/kf5-5.30.v2
Comment 2 Antoine Brodin freebsd_committer 2017-01-24 06:16:32 UTC
Exp-run looks fine.
Comment 3 commit-hook freebsd_committer 2017-01-26 18:20:55 UTC
A commit references this bug:

Author: tcberner
Date: Thu Jan 26 18:19:56 UTC 2017
New revision: 432529
URL: https://svnweb.freebsd.org/changeset/ports/432529

Log:
  Update KDE Frameworks to 5.30.0

  * Changelog: https://www.kde.org/announcements/kde-frameworks-5.30.0.php
  * New framework: x11/kf5-kwayland

  PR:		216345
  Exp-run by:	antoine
  Reviewed by:	rakuco
  Approved by:	rakuco (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9271

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/files/patch-git_add_FindInotify.cmake
  head/devel/kf5-extra-cmake-modules/files/patch-git_add_FindLibinotify.cmake
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcoreaddons/files/patch-CMakeLists.txt
  head/devel/kf5-kcoreaddons/files/patch-src_lib_CMakeLists.txt
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdeclarative/pkg-plist
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knewstuff/pkg-plist
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kpackage/pkg-plist
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/Makefile
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/Makefile
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-prison/Makefile
  head/graphics/kf5-prison/distinfo
  head/graphics/kf5-prison/pkg-plist
  head/lang/kf5-kross/distinfo
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-baloo/files/patch-CMakeLists.txt
  head/sysutils/kf5-baloo/files/patch-src_file_CMakeLists.txt
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/Makefile
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-sonnet/files/
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/kf5-syntax-highlighting/distinfo
  head/textproc/kf5-syntax-highlighting/pkg-plist
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjsembed/distinfo
  head/x11/Makefile
  head/x11/kf5-frameworkintegration/Makefile
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-frameworkintegration/pkg-plist
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kdelibs4support/Makefile
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwayland/
  head/x11/kf5-kwayland/Makefile
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwayland/pkg-descr
  head/x11/kf5-kwayland/pkg-plist
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-themes/kf5-oxygen-icons5/pkg-plist
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/pkg-plist
  head/x11-toolkits/kf5-kxmlgui/distinfo
  head/x11-toolkits/kirigami/distinfo
Comment 4 Tobias C. Berner freebsd_committer 2017-01-26 18:21:47 UTC
Thanks for the exp-run.